#ifndef CMWCOMPLASERPI_H
#define CMWCOMPLASERPI_H

#include "cmwidget.h"
#include <QPixmap>

namespace Ui {
class CMWCompLaserPI;
}

class CMWCompLaserPI : public CMWidget
{
    Q_OBJECT

public:
    explicit CMWCompLaserPI(QWidget *parent = 0);
    ~CMWCompLaserPI();
    void MInit();
    void MFresh();

    void MTimeFresh();
private slots:
    void on_pushButton_Set_clicked();

    void on_pushButton_LaserOpen_clicked();

    void on_pushButton_LaserClose_clicked();

    void on_btnLayserEmission_clicked(bool checked);

    void on_btnLayserShutter_clicked(bool checked);

    void on_btnLayserExternGate_clicked(bool checked);

    void on_txtPartsLayserCurrent_returnPressed();

    void on_txtPartsLayserPEC_returnPressed();

    void on_txtPartsLayserPRF_returnPressed();

    void on_btnPartsLayserToMeasure_clicked();

	void on_btnPowerMeterZero_clicked();

private:
    Ui::CMWCompLaserPI *ui;
	QPixmap picOn;
	QPixmap picOff;
};

#endif // CMWCOMPLASER_H
